###############################################################################
# SimpleSpoiler.pl                                                            #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2 RC 1                                                 #
# Released:       December 27, 2004                                           #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################
# Mod Name:    Simple Spoiler Tag                                             #
# Description: A simple tag that allows users to hide text for all to see.    #
# Written by:  Kong (http://www.3dxl.com)                                     #
###############################################################################

$simplespoilerver = 'Simple Spoiler 2.0a';
if($action eq 'detailedversion') { return 1; }

&LoadLanguage("simplespoiler");

if (!-e("$vardir/simplespoiler.txt"))  {
	&SpoilerSet2;
}

require "$vardir/simplespoiler.txt";

sub SpoilerSet { 

	$yymain .= qq~

<form action="$adminurl?action=simplespoiler2" method="post">
 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg">
		 <img src="$imagesdir/preferences.gif" alt="" border="0" /><b>$simplespoilerver</b>
	   </td>
     </tr>
     <tr align="center" valign="middle">
       <td align="left" class="catbg"><span class="small">$simplespoilertxt{'1'} $simplespoilertxt{'2'}</span>
	   </td>
     </tr>
     <tr valign="middle">
       <td align="left" class="windowbg2"><br />
		  $simplespoilertxt{'3'}<br /><br />
		<div class="setting_cell">$simplespoilertxt{'4'}</div>
		<div class="setting_cell2"><input type="text" name="spoilerbackground" size="10" value="$color{'spoilerbackground'}" /></div>
	<br />
		<div class="setting_cell">$simplespoilertxt{'5'}</div>
		<div class="setting_cell2"><input type="text" name="spoilerborder" size="10" value="$color{'spoilerborder'}" /></div>
	<br />
	   </td>
     </tr>
   </table>
 </div>

<br />

 <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="center" class="catbg">
		 <input type="submit" value="$admin_txt{'10'}" />
	   </td>
     </tr>
   </table>
 </div>
</form>

	~;

	$yytitle = $admin_txt{'222'};
	$action_area = "simplespoiler";
	&AdminTemplate;
	exit;

}

sub SpoilerSet2 {

	&is_admin_or_gmod;

	$color{'spoilerbackground'} = $FORM{'spoilerbackground'} || '#C8DDF0';
	$color{'spoilerborder'} = $FORM{'spoilerborder'} || '#34689A';

	my $setfile = << "EOF";
###############################################################################
# SimpleSpoiler.lng (Simple Spoiler text definitions)                         #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2 RC 1                                                 #
# Released:       December 27, 2004                                           #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2005 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by: The YaBB Development Team                                      #
#              with assistance from the YaBB community.                       #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################
# Mod Name:    Simple Spoiler Tag                                             #
# Description: A simple tag that allows users to hide text for all to see.    #
# Written by:  Kong (http://www.3dxl.com)                                     #
###############################################################################

########## Simple Spoiler Colors ##########

\$color{'spoilerbackground'} = "$color{'spoilerbackground'}";	# Color of text and background for Spoilers
\$color{'spoilerborder'}  = "$color{'spoilerborder'}";		# Color of border on spoiler tables

1;
EOF

	fopen(SPOILER_SETTINGS, ">$vardir/simplespoiler.txt");
	print SPOILER_SETTINGS $setfile;
	fclose(SPOILER_SETTINGS);

	if ($action eq "simplespoiler2") {
		$yySetLocation = qq~$adminurl~;
		&redirectexit;
	}

}

1;